
import sys
if sys.version_info >= (3, 8):
    from typing import Protocol
else:
    from typing_extensions import Protocol

import jneqsim.neqsim.fluidmechanics.flownode
import jneqsim.neqsim.fluidmechanics.flownode.fluidboundary.heatmasstransfercalc.nonequilibriumfluidboundary.filmmodelboundary
import jneqsim.neqsim.fluidmechanics.flownode.fluidboundary.heatmasstransfercalc.nonequilibriumfluidboundary.filmmodelboundary.reactivefilmmodel.enhancementfactor
import jneqsim.neqsim.thermo.system
import typing



class ReactiveFluidBoundary(jneqsim.neqsim.fluidmechanics.flownode.fluidboundary.heatmasstransfercalc.nonequilibriumfluidboundary.filmmodelboundary.KrishnaStandartFilmModel):
    molFractionDifference: typing.MutableSequence[typing.MutableSequence[float]] = ...
    @typing.overload
    def __init__(self, flowNodeInterface: jneqsim.neqsim.fluidmechanics.flownode.FlowNodeInterface): ...
    @typing.overload
    def __init__(self, systemInterface: jneqsim.neqsim.thermo.system.SystemInterface): ...
    def calcFluxes(self) -> typing.MutableSequence[float]: ...
    def calcFluxes2(self) -> typing.MutableSequence[float]: ...
    def calcHeatTransferCoefficients(self, int: int) -> None: ...
    def calcHeatTransferCorrection(self, int: int) -> None: ...
    def calcMolFractionDifference(self) -> None: ...
    def clone(self) -> 'ReactiveFluidBoundary': ...
    def heatTransSolve(self) -> None: ...
    def init(self) -> None: ...
    def initHeatTransferCalc(self) -> None: ...
    def initMassTransferCalc(self) -> None: ...
    def massTransSolve(self) -> None: ...
    def setJacMassTrans(self) -> None: ...
    def setJacMassTrans2(self) -> None: ...
    def setfvecMassTrans(self) -> None: ...
    def setfvecMassTrans2(self) -> None: ...
    def setuMassTrans(self) -> None: ...
    def solve(self) -> None: ...
    def updateMassTrans(self) -> None: ...

class ReactiveKrishnaStandartFilmModel(jneqsim.neqsim.fluidmechanics.flownode.fluidboundary.heatmasstransfercalc.nonequilibriumfluidboundary.filmmodelboundary.KrishnaStandartFilmModel):
    @typing.overload
    def __init__(self, flowNodeInterface: jneqsim.neqsim.fluidmechanics.flownode.FlowNodeInterface): ...
    @typing.overload
    def __init__(self, systemInterface: jneqsim.neqsim.thermo.system.SystemInterface): ...
    def calcTotalMassTransferCoefficientMatrix(self, int: int) -> None: ...
    def setEnhancementType(self, int: int) -> None: ...


class __module_protocol__(Protocol):
    # A module protocol which reflects the result of ``jp.JPackage("jneqsim.neqsim.fluidmechanics.flownode.fluidboundary.heatmasstransfercalc.nonequilibriumfluidboundary.filmmodelboundary.reactivefilmmodel")``.

    ReactiveFluidBoundary: typing.Type[ReactiveFluidBoundary]
    ReactiveKrishnaStandartFilmModel: typing.Type[ReactiveKrishnaStandartFilmModel]
    enhancementfactor: jneqsim.neqsim.fluidmechanics.flownode.fluidboundary.heatmasstransfercalc.nonequilibriumfluidboundary.filmmodelboundary.reactivefilmmodel.enhancementfactor.__module_protocol__
